Package com.arthenica.ffmpegkit

## Class Log

- java.lang.Object
- - com.arthenica.ffmpegkit.Log

    public class Log
    extends java.lang.Object

Log entry for an `FFmpegKit` session.

### Constructor Summary

Constructors
`Log​(long sessionId, Level level, java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Level` `getLevel()`
`java.lang.String` `getMessage()`
`long` `getSessionId()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Log

    public Log​(long sessionId,
               Level level,
               java.lang.String message)

### Method Detail

#### getSessionId

    public long getSessionId()

#### getLevel

    public Level getLevel()

#### getMessage

    public java.lang.String getMessage()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`